Bug 62464 - 8139too driver not set speed and link correct
8139too driver not set speed and link correct
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Garzik
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-01 06:55 EST by Need Real Name
Modified: 2013-07-02 22:06 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-10-10 10:59:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-04-01 06:55:14 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.0 (X11; Linux i686; U;) Gecko/20020308

Description of problem:
  I'm using RedHat Linux 7.2. Kernel is 2.4.7-10.
  8139too driver Load and can be used OK. But when use mii-tool to see the Speed
and Link, it says "no link". My Ethernets are RTL-8139(B/C) (I have two boards).
  After used the Donald Becker's rtl8139 driver (v1.16a) to instead of 8139too,
all is OK.
mii-tool says "negotiated 100baseTx-FD, link ok".
  So I think 8139too has a problem.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. modprobe 8139too
2. mii-tool
	

Actual Results:  mii-tool says "no link", But infact I can use network.

Additional info:
Comment 1 Jeff Garzik 2002-10-25 15:40:24 EDT
Fixed in recent 8139too drivers.  Was an issue specific to mii-tool handling
in the driver.

Note You need to log in before you can comment on or make changes to this bug.